> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add new setting



## OpenAPI

````yaml post /admin/settings
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/settings:
    post:
      tags:
        - Settings
      summary: Add new setting
      operationId: 1d53d1c20ef355a361a90f00c9190ace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - name
                - program_type
              properties:
                client_id:
                  type: integer
                  example: 1
                name:
                  type: string
                  example: Setting Name
                program_type:
                  type: string
                  example: contribution
                currency_symbol:
                  type: string
                  example: $
                duration:
                  type: integer
                  example: 365
                sponsorship_amount:
                  type: string
                  example: 10,20,50,60
                sp_num:
                  type: integer
                  example: 100
                processing_percentage:
                  type: number
                  format: float
                  example: 2.9
                info:
                  type: string
                  example: <p>sample</p>
                text_front:
                  type: string
                  example: <p>sample</p>
                text_profile:
                  type: string
                  example: <p>sd</p>
                text_checkout:
                  type: string
                  example: <p>fs</p>
                text_account:
                  type: string
                  example: <p>fs</p>
                allow_email:
                  type: boolean
                  example: true
                show_payment:
                  type: boolean
                  example: false
                designations:
                  type: boolean
                  example: true
                login_box:
                  type: boolean
                  example: true
                stripe:
                  type: boolean
                  example: false
                checks:
                  type: boolean
                  example: false
                cash:
                  type: boolean
                  example: false
                display_percent:
                  type: boolean
                  example: false
                display_info:
                  type: boolean
                  example: false
                wire_transfer:
                  type: boolean
                  example: false
                hide_payment_method:
                  type: boolean
                  example: false
                hide_frequency:
                  type: boolean
                  example: false
                processing_fee:
                  type: boolean
                  example: true
                sorting:
                  type: boolean
                  example: false
                display_all:
                  type: boolean
                  example: false
                disable_program_link:
                  type: boolean
                  example: false
              type: object
      responses:
        '200':
          description: Settings Saved
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Settings Saved.
                type: object
        '400':
          description: Validation Error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Error message
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````